Index: /trunk/src/bindings/scripts/scripts/zone/karazhan/boss_moroes.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/karazhan/boss_moroes.cpp (revision 109)
+++ /trunk/src/bindings/scripts/scripts/zone/karazhan/boss_moroes.cpp (revision 260)
@@ -836,34 +836,34 @@
     newscript->Name="boss_moroes";
     newscript->GetAI = GetAI_boss_moroes;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="boss_baroness_dorothea_millstipe";
     newscript->GetAI = GetAI_baroness_dorothea_millstipe;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="boss_baron_rafe_dreuger";
     newscript->GetAI = GetAI_baron_rafe_dreuger;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="boss_lady_catriona_von_indi";
     newscript->GetAI = GetAI_lady_catriona_von_indi;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="boss_lady_keira_berrybuck";
     newscript->GetAI = GetAI_lady_keira_berrybuck;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="boss_lord_robin_daris";
     newscript->GetAI = GetAI_lord_robin_daris;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="boss_lord_crispin_ference";
     newscript->GetAI = GetAI_lord_crispin_ference;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/karazhan/boss_prince_malchezaar.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/karazhan/boss_prince_malchezaar.cpp (revision 158)
+++ /trunk/src/bindings/scripts/scripts/zone/karazhan/boss_prince_malchezaar.cpp (revision 260)
@@ -667,9 +667,9 @@
     newscript->Name="boss_malchezaar";
     newscript->GetAI = GetAI_boss_malchezaar;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="netherspite_infernal";
     newscript->GetAI = GetAI_netherspite_infernal;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/felwood/felwood.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/felwood/felwood.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/felwood/felwood.cpp (revision 260)
@@ -86,4 +86,4 @@
     newscript->pGossipHello = &GossipHello_npcs_riverbreeze_and_silversky;
     newscript->pGossipSelect = &GossipSelect_npcs_riverbreeze_and_silversky;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/dustwallow_marsh/dustwallow_marsh.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/dustwallow_marsh/dustwallow_marsh.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/dustwallow_marsh/dustwallow_marsh.cpp (revision 260)
@@ -205,10 +205,10 @@
     newscript->Name="mobs_risen_husk_spirit";
     newscript->GetAI = GetAI_mobs_risen_husk_spirit;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="npc_restless_apparition";
     newscript->pGossipHello =   &GossipHello_npc_restless_apparition;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
@@ -216,5 +216,5 @@
     newscript->GetAI = GetAI_npc_deserter_agitator;
     newscript->pGossipHello = &GossipHello_npc_deserter_agitator;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
@@ -222,5 +222,5 @@
     newscript->pGossipHello = &GossipHello_npc_lady_jaina_proudmoore;
     newscript->pGossipSelect = &GossipSelect_npc_lady_jaina_proudmoore;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
@@ -228,4 +228,4 @@
     newscript->pGossipHello = &GossipHello_npc_nat_pagle;
     newscript->pGossipSelect = &GossipSelect_npc_nat_pagle;
-    m_scripts[nrscripts++] = newscript;
-}
+    newscript->RegisterSelf();
+}
Index: /trunk/src/bindings/scripts/scripts/zone/orgrimmar/orgrimmar.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/orgrimmar/orgrimmar.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/orgrimmar/orgrimmar.cpp (revision 260)
@@ -248,5 +248,5 @@
     newscript->pGossipHello =  &GossipHello_npc_neeru_fireblade;
     newscript->pGossipSelect = &GossipSelect_npc_neeru_fireblade;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
@@ -255,5 +255,5 @@
     newscript->pQuestAccept =  &QuestAccept_npc_shenthul;
     newscript->pReceiveEmote = &ReciveEmote_npc_shenthul;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
@@ -262,4 +262,4 @@
     newscript->pGossipHello =  &GossipHello_npc_thrall_warchief;
     newscript->pGossipSelect = &GossipSelect_npc_thrall_warchief;
-    m_scripts[nrscripts++] = newscript;
-}
+    newscript->RegisterSelf();
+}
Index: /trunk/src/bindings/scripts/scripts/zone/razorfen_downs/boss_amnennar_the_coldbringer.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/razorfen_downs/boss_amnennar_the_coldbringer.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/razorfen_downs/boss_amnennar_the_coldbringer.cpp (revision 260)
@@ -137,4 +137,4 @@
     newscript->Name="boss_amnennar_the_coldbringer";
     newscript->GetAI = GetAI_boss_amnennar_the_coldbringer;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/zulfarrak/zulfarrak.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/zulfarrak/zulfarrak.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/zulfarrak/zulfarrak.cpp (revision 260)
@@ -214,5 +214,5 @@
     newscript->pGossipHello =  &GossipHello_npc_sergeant_bly;
     newscript->pGossipSelect = &GossipSelect_npc_sergeant_bly;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
@@ -221,4 +221,4 @@
     newscript->pGossipHello =  &GossipHello_npc_weegli_blastfuse;
     newscript->pGossipSelect = &GossipSelect_npc_weegli_blastfuse;
-    m_scripts[nrscripts++] = newscript;
-}
+    newscript->RegisterSelf();
+}
Index: /trunk/src/bindings/scripts/scripts/zone/stranglethorn_vale/stranglethorn_vale.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/stranglethorn_vale/stranglethorn_vale.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/stranglethorn_vale/stranglethorn_vale.cpp (revision 260)
@@ -104,4 +104,4 @@
     newscript->Name = "mob_yenniku";
     newscript->GetAI = GetAI_mob_yenniku;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/blackrock_depths/boss_high_interrogator_gerstahn.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/blackrock_depths/boss_high_interrogator_gerstahn.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/blackrock_depths/boss_high_interrogator_gerstahn.cpp (revision 260)
@@ -102,4 +102,4 @@
     newscript->Name="boss_high_interrogator_gerstahn";
     newscript->GetAI = GetAI_boss_high_interrogator_gerstahn;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/blackrock_depths/boss_seethrel.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/blackrock_depths/boss_seethrel.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/blackrock_depths/boss_seethrel.cpp (revision 260)
@@ -112,4 +112,4 @@
     newscript->Name="boss_seethrel";
     newscript->GetAI = GetAI_boss_seethrel;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/blackrock_depths/blackrock_depths.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/blackrock_depths/blackrock_depths.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/blackrock_depths/blackrock_depths.cpp (revision 260)
@@ -222,5 +222,5 @@
     newscript->Name="phalanx";
     newscript->GetAI = GetAI_mob_phalanx;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
@@ -228,5 +228,5 @@
     newscript->pGossipHello =  &GossipHello_npc_kharan_mighthammer;
     newscript->pGossipSelect = &GossipSelect_npc_kharan_mighthammer;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
@@ -234,4 +234,4 @@
     newscript->pGossipHello =  &GossipHello_npc_lokhtos_darkbargainer;
     newscript->pGossipSelect = &GossipSelect_npc_lokhtos_darkbargainer;
-    m_scripts[nrscripts++] = newscript;
-}
+    newscript->RegisterSelf();
+}
Index: /trunk/src/bindings/scripts/scripts/zone/blackrock_depths/boss_general_angerforge.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/blackrock_depths/boss_general_angerforge.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/blackrock_depths/boss_general_angerforge.cpp (revision 260)
@@ -164,4 +164,4 @@
     newscript->Name="boss_general_angerforge";
     newscript->GetAI = GetAI_boss_general_angerforge;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/blackrock_depths/boss_gloomrel.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/blackrock_depths/boss_gloomrel.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/blackrock_depths/boss_gloomrel.cpp (revision 260)
@@ -139,4 +139,4 @@
     newscript->pGossipHello = &GossipHello_boss_gloomrel;
     newscript->pGossipSelect = &GossipSelect_boss_gloomrel;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/blackrock_depths/boss_haterel.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/blackrock_depths/boss_haterel.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/blackrock_depths/boss_haterel.cpp (revision 260)
@@ -102,4 +102,4 @@
     newscript->Name="boss_haterel";
     newscript->GetAI = GetAI_boss_haterel;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/blackrock_depths/boss_moira_bronzebeard.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/blackrock_depths/boss_moira_bronzebeard.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/blackrock_depths/boss_moira_bronzebeard.cpp (revision 260)
@@ -96,4 +96,4 @@
     newscript->Name="boss_moira_bronzebeard";
     newscript->GetAI = GetAI_boss_moira_bronzebeard;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/blackrock_depths/boss_gorosh_the_dervish.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/blackrock_depths/boss_gorosh_the_dervish.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/blackrock_depths/boss_gorosh_the_dervish.cpp (revision 260)
@@ -78,4 +78,4 @@
     newscript->Name="boss_gorosh_the_dervish";
     newscript->GetAI = GetAI_boss_gorosh_the_dervish;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/blackrock_depths/boss_emperor_dagran_thaurissan.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/blackrock_depths/boss_emperor_dagran_thaurissan.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/blackrock_depths/boss_emperor_dagran_thaurissan.cpp (revision 260)
@@ -101,4 +101,4 @@
     newscript->Name="boss_emperor_dagran_thaurissan";
     newscript->GetAI = GetAI_boss_draganthaurissan;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/blackrock_depths/boss_grizzle.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/blackrock_depths/boss_grizzle.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/blackrock_depths/boss_grizzle.cpp (revision 260)
@@ -83,4 +83,4 @@
     newscript->Name="boss_grizzle";
     newscript->GetAI = GetAI_boss_grizzle;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/blackrock_depths/boss_ambassador_flamelash.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/blackrock_depths/boss_ambassador_flamelash.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/blackrock_depths/boss_ambassador_flamelash.cpp (revision 260)
@@ -103,4 +103,4 @@
     newscript->Name="boss_ambassador_flamelash";
     newscript->GetAI = GetAI_boss_ambassador_flamelash;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/blackrock_depths/boss_magmus.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/blackrock_depths/boss_magmus.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/blackrock_depths/boss_magmus.cpp (revision 260)
@@ -81,4 +81,4 @@
     newscript->Name="boss_magmus";
     newscript->GetAI = GetAI_boss_magmus;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/blackrock_depths/boss_doperel.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/blackrock_depths/boss_doperel.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/blackrock_depths/boss_doperel.cpp (revision 260)
@@ -88,4 +88,4 @@
     newscript->Name="boss_doperel";
     newscript->GetAI = GetAI_boss_doperel;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/blackrock_depths/boss_angerrel.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/blackrock_depths/boss_angerrel.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/blackrock_depths/boss_angerrel.cpp (revision 260)
@@ -88,4 +88,4 @@
     newscript->Name="boss_angerrel";
     newscript->GetAI = GetAI_boss_angerrel;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/blackrock_depths/boss_doomrel.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/blackrock_depths/boss_doomrel.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/blackrock_depths/boss_doomrel.cpp (revision 260)
@@ -136,4 +136,4 @@
     newscript->Name="boss_doomrel";
     newscript->GetAI = GetAI_boss_doomrel;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/blackrock_depths/boss_anubshiah.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/blackrock_depths/boss_anubshiah.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/blackrock_depths/boss_anubshiah.cpp (revision 260)
@@ -112,4 +112,4 @@
     newscript->Name="boss_anubshiah";
     newscript->GetAI = GetAI_boss_anubshiah;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/blackrock_depths/boss_vilerel.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/blackrock_depths/boss_vilerel.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/blackrock_depths/boss_vilerel.cpp (revision 260)
@@ -98,4 +98,4 @@
     newscript->Name="boss_vilerel";
     newscript->GetAI = GetAI_boss_vilerel;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/loch_modan/loch_modan.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/loch_modan/loch_modan.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/loch_modan/loch_modan.cpp (revision 260)
@@ -88,4 +88,4 @@
     newscript->pGossipHello =  &GossipHello_npc_mountaineer_pebblebitty;
     newscript->pGossipSelect = &GossipSelect_npc_mountaineer_pebblebitty;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/terokkar_forest/terokkar_forest.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/terokkar_forest/terokkar_forest.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/terokkar_forest/terokkar_forest.cpp (revision 260)
@@ -369,20 +369,20 @@
     newscript->Name="mob_unkor_the_ruthless";
     newscript->GetAI = GetAI_mob_unkor_the_ruthless;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="mob_infested_root_walker";
     newscript->GetAI = GetAI_mob_infested_root_walker;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="mob_rotting_forest_rager";
     newscript->GetAI = GetAI_mob_rotting_forest_rager;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="mob_netherweb_victim";
     newscript->GetAI = GetAI_mob_netherweb_victim;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
@@ -390,5 +390,5 @@
     newscript->pGossipHello =  &GossipHello_npc_floon;
     newscript->pGossipSelect = &GossipSelect_npc_floon;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
@@ -396,4 +396,4 @@
     newscript->pGossipHello =  &GossipHello_npc_skyguard_handler_deesak;
     newscript->pGossipSelect = &GossipSelect_npc_skyguard_handler_deesak;
-    m_scripts[nrscripts++] = newscript;
-}
+    newscript->RegisterSelf();
+}
Index: /trunk/src/bindings/scripts/scripts/zone/western_plaguelands/western_plaguelands.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/western_plaguelands/western_plaguelands.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/western_plaguelands/western_plaguelands.cpp (revision 260)
@@ -168,9 +168,9 @@
     newscript->pGossipHello = &GossipHello_npcs_dithers_and_arbington;
     newscript->pGossipSelect = &GossipSelect_npcs_dithers_and_arbington;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="npc_the_scourge_cauldron";
     newscript->GetAI = GetAI_npc_the_scourge_cauldron;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/ghostlands/ghostlands.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/ghostlands/ghostlands.cpp (revision 205)
+++ /trunk/src/bindings/scripts/scripts/zone/ghostlands/ghostlands.cpp (revision 260)
@@ -134,5 +134,5 @@
     newscript->pGossipHello = &GossipHello_npc_blood_knight_dawnstar;
     newscript->pGossipSelect = &GossipSelect_npc_blood_knight_dawnstar;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
@@ -140,5 +140,5 @@
     newscript->pGossipHello = &GossipHello_npc_budd_nedreck;
     newscript->pGossipSelect = &GossipSelect_npc_budd_nedreck;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
@@ -146,9 +146,9 @@
     newscript->pGossipHello = &GossipHello_npc_rathis_tomber;
     newscript->pGossipSelect = &GossipSelect_npc_rathis_tomber;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name = "go_gilded_brazier";
     newscript->pGOHello = &GOHello_gilded_brazier;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/molten_core/boss_gehennas.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/molten_core/boss_gehennas.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/molten_core/boss_gehennas.cpp (revision 260)
@@ -88,4 +88,4 @@
     newscript->Name="boss_gehennas";
     newscript->GetAI = GetAI_boss_gehennas;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/molten_core/boss_magmadar.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/molten_core/boss_magmadar.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/molten_core/boss_magmadar.cpp (revision 260)
@@ -94,4 +94,4 @@
     newscript->Name="boss_magmadar";
     newscript->GetAI = GetAI_boss_magmadar;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/molten_core/boss_shazzrah.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/molten_core/boss_shazzrah.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/molten_core/boss_shazzrah.cpp (revision 260)
@@ -118,4 +118,4 @@
     newscript->Name="boss_shazzrah";
     newscript->GetAI = GetAI_boss_shazzrah;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/molten_core/boss_garr.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/molten_core/boss_garr.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/molten_core/boss_garr.cpp (revision 260)
@@ -141,9 +141,9 @@
     newscript->Name="boss_garr";
     newscript->GetAI = GetAI_boss_garr;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="mob_firesworn";
     newscript->GetAI = GetAI_mob_firesworn;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/molten_core/boss_majordomo_executus.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/molten_core/boss_majordomo_executus.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/molten_core/boss_majordomo_executus.cpp (revision 260)
@@ -130,4 +130,4 @@
     newscript->Name="boss_majordomo";
     newscript->GetAI = GetAI_boss_majordomo;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/molten_core/boss_ragnaros.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/molten_core/boss_ragnaros.cpp (revision 158)
+++ /trunk/src/bindings/scripts/scripts/zone/molten_core/boss_ragnaros.cpp (revision 260)
@@ -314,4 +314,4 @@
     newscript->Name="boss_ragnaros";
     newscript->GetAI = GetAI_boss_ragnaros;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/molten_core/boss_sulfuron_harbinger.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/molten_core/boss_sulfuron_harbinger.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/molten_core/boss_sulfuron_harbinger.cpp (revision 260)
@@ -207,9 +207,9 @@
     newscript->Name="boss_sulfuron";
     newscript->GetAI = GetAI_boss_sulfuron;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="mob_flamewaker_priest";
     newscript->GetAI = GetAI_mob_flamewaker_priest;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/molten_core/molten_core.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/molten_core/molten_core.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/molten_core/molten_core.cpp (revision 260)
@@ -85,4 +85,4 @@
     newscript->Name="mob_ancient_core_hound";
     newscript->GetAI = GetAI_mob_ancient_core_hound;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/molten_core/boss_baron_geddon.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/molten_core/boss_baron_geddon.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/molten_core/boss_baron_geddon.cpp (revision 260)
@@ -102,4 +102,4 @@
     newscript->Name="boss_baron_geddon";
     newscript->GetAI = GetAI_boss_baron_geddon;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/molten_core/boss_lucifron.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/molten_core/boss_lucifron.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/molten_core/boss_lucifron.cpp (revision 260)
@@ -87,4 +87,4 @@
     newscript->Name="boss_lucifron";
     newscript->GetAI = GetAI_boss_lucifron;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/molten_core/boss_golemagg.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/molten_core/boss_golemagg.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/molten_core/boss_golemagg.cpp (revision 260)
@@ -193,9 +193,9 @@
     newscript->Name="boss_golemagg";
     newscript->GetAI = GetAI_boss_golemagg;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="mob_core_rager";
     newscript->GetAI = GetAI_mob_core_rager;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/molten_core/instance_molten_core.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/molten_core/instance_molten_core.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/molten_core/instance_molten_core.cpp (revision 260)
@@ -254,4 +254,4 @@
     newscript->Name="instance_molten_core";
     newscript->GetInstanceData = &GetInstance_instance_molten_core;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/zulaman/boss_zuljin.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/zulaman/boss_zuljin.cpp (revision 158)
+++ /trunk/src/bindings/scripts/scripts/zone/zulaman/boss_zuljin.cpp (revision 260)
@@ -630,14 +630,14 @@
     newscript->Name="boss_zuljin";
     newscript->GetAI = GetAI_boss_zuljin;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="do_nothing";
     newscript->GetAI = GetAI_do_nothing;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="mob_zuljin_vortex";
     newscript->GetAI = GetAI_feather_vortexAI;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/zulaman/boss_janalai.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/zulaman/boss_janalai.cpp (revision 257)
+++ /trunk/src/bindings/scripts/scripts/zone/zulaman/boss_janalai.cpp (revision 260)
@@ -707,24 +707,24 @@
     newscript->Name="boss_janalai";
     newscript->GetAI = GetAI_boss_janalaiAI;
-    m_scripts[nrscripts++] = newscript;  
+    newscript->RegisterSelf();  
 
     newscript = new Script;
     newscript->Name="mob_janalai_firebomb";
     newscript->GetAI = GetAI_mob_jandalai_firebombAI;
-    m_scripts[nrscripts++] = newscript;  
+    newscript->RegisterSelf();  
 
     newscript = new Script;
     newscript->Name="mob_janalai_hatcher";
     newscript->GetAI = GetAI_mob_amanishi_hatcherAI;
-    m_scripts[nrscripts++] = newscript; 
+    newscript->RegisterSelf(); 
 
     newscript = new Script;
     newscript->Name="mob_janalai_hatchling";
     newscript->GetAI = GetAI_mob_hatchlingAI;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="mob_janalai_egg";
     newscript->GetAI = GetAI_mob_eggAI;
-    m_scripts[nrscripts++] = newscript; 
+    newscript->RegisterSelf(); 
 }
Index: /trunk/src/bindings/scripts/scripts/zone/zulaman/zulaman.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/zulaman/zulaman.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/zulaman/zulaman.cpp (revision 260)
@@ -172,5 +172,5 @@
     newscript->Name="npc_forest_frog";
     newscript->GetAI = GetAI_npc_forest_frog;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
@@ -179,4 +179,4 @@
     newscript->pGossipHello = GossipHello_npc_zulaman_hostage;
     newscript->pGossipSelect = GossipSelect_npc_zulaman_hostage;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/zulaman/boss_halazzi.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/zulaman/boss_halazzi.cpp (revision 154)
+++ /trunk/src/bindings/scripts/scripts/zone/zulaman/boss_halazzi.cpp (revision 260)
@@ -395,9 +395,9 @@
     newscript->Name="boss_halazzi";
     newscript->GetAI = GetAI_boss_halazziAI;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="mob_halazzi_lynx";
     newscript->GetAI = GetAI_boss_spiritlynxAI;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
